	program magics

	call popen

	call pset1c("output_formats", (/"png"/), 1)
	call psetc("output_name", "contour2")
	call psetc("output_name_first_page_number", "off")

	call psetc("subpage_map_projection", "cylindrical")

	call psetc("map_coastline_land_shade_colour", "cream")
	call psetc("map_grid_colour", "tan")
	call psetc("map_grid", "on")
	call psetc("map_coastline_colour", "tan")
	call psetc("map_coastline_land_shade", "on")
	call pcoast

	call psetc("grib_id", "z500")
	call psetc("grib_input_file_name", "z500.grb")
	call pgrib

	call psetc("contour_level_selection_type", "interval")
	call psetc("contour_label_colour", "navy")
	call psetc("contour_line_colour", "evergreen")
	call psetr("contour_label_height", 0.50)
	call pseti("contour_line_thickness", 2)
	call psetc("contour_label", "on")
	call pseti("contour_highlight_frequency", 5)
	call psetc("contour_highlight_colour", "kelly_green")
	call pseti("contour_highlight_thickness", 4)
	call psetc("legend", "off")
	call psetr("contour_interval", 2.00)
	call psetc("contour_line_style", "dash")
	call pcont

	call pset1c("text_lines", (/"<font size='1'>Simple Contouring...</font>", "<font colour='evergreen'>contour_level_selection_type = count</font> ", "    calculate a reasonable  contour interval from the min and max of the displayed field"/), 3)
	call psetr("text_font_size", 0.80)
	call psetc("text_justification", "left")
	call psetc("text_colour", "charcoal")
	call ptext

	call pclose

	end
